package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@TableName("scan_batch_paper")
@ApiModel(value="ScanBatchPaper对象", description="")
public class ScanBatchPaper implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "批次ID")
    @MppMultiId(value = "batch_id")
    private Long batchId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考生ID")
    @MppMultiId(value = "student_id")
    private Long studentId;

    @ApiModelProperty(value = "试卷页数")
    @MppMultiId(value = "paper_index")
    private Integer paperIndex;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "试卷ID")
    private Long paperId;

    @ApiModelProperty(value = "题卡编号")
    private Integer cardNumber;

    private Boolean assigned;

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }
    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }
    public Integer getPaperIndex() {
        return paperIndex;
    }

    public void setPaperIndex(Integer paperIndex) {
        this.paperIndex = paperIndex;
    }
    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }
    public Integer getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(Integer cardNumber) {
        this.cardNumber = cardNumber;
    }
    public Boolean getAssigned() {
        return assigned;
    }

    public void setAssigned(Boolean assigned) {
        this.assigned = assigned;
    }

    @Override
    public String toString() {
        return "ScanBatchPaper{" +
            "batchId=" + batchId +
            ", studentId=" + studentId +
            ", paperIndex=" + paperIndex +
            ", paperId=" + paperId +
            ", cardNumber=" + cardNumber +
            ", assigned=" + assigned +
        "}";
    }
}
